Debian Bug report logs - #553932
FTBFS with binutils-gold

version graph

Package: src:barrage; Maintainer for src:barrage is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>;

Reported by: Peter Fritzsche <peter.fritzsche@gmx.de>

Date: Mon, 2 Nov 2009 11:30:31 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version barrage/1.0.2-4

Fixed in version barrage/1.0.3-1

Done: Paul Wise <pabs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#553932; Package barrage. (Mon, 02 Nov 2009 11:30:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Mon, 02 Nov 2009 11:30:37 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Fritzsche <peter.fritzsche@gmx.de>
To: submit@bugs.debian.org
Subject: FTBFS with binutils-gold
Date: Mon, 2 Nov 2009 12:17:50 +0100
Package: barrage
Version: 1.0.2-4
Severity: normal

Tried to build your package and it fails to build with GNU binutils-gold. The
important difference is that --no-add-needed is the default behavior of of GNU
binutils-gold. Please provide all needed libraries to the linker when building
your executables.

gcc  -Wall -g -O2 -Wall -g -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT  -o barrage  main.o particle.o shots.o units.o 
data.o chart.o bfield.o menu.o SFont.o -lSDL_mixer -L/usr/lib -lSDL
/usr/bin/ld: shots.o: in function shots_fire_ballistic:shots.c:176: error: undefined reference to 'tan'
/usr/bin/ld: shots.o: in function shots_fire_ballistic:shots.c:183: error: undefined reference to 'cos'
/usr/bin/ld: shots.o: in function shots_fire_ballistic:shots.c:148: error: undefined reference to 'tan'
/usr/bin/ld: shots.o: in function shots_fire_ballistic:shots.c:183: error: undefined reference to 'sqrt'
/usr/bin/ld: bfield.o: in function bfield_update_gun_dir:bfield.c:450: error: undefined reference to 'atan'
/usr/bin/ld: bfield.o: in function trees_check_impact:bfield.c:363: error: undefined reference to 'sqrt'
collect2: ld returned 1 exit status
make[4]: *** [barrage] Error 1





Severity set to 'minor' from 'normal' Request was from Peter Fritzsche <peter.fritzsche@gmx.de> to control@bugs.debian.org. (Mon, 02 Nov 2009 16:15:35 GMT) Full text and rfc822 format available.

Information stored :
Bug#553932; Package barrage. (Mon, 02 Nov 2009 16:21:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
Extra info received and filed, but not forwarded. (Mon, 02 Nov 2009 16:21:35 GMT) Full text and rfc822 format available.

Message #12 received at 553932-quiet@bugs.debian.org (full text, mbox):

From: Peter Fritzsche <peter.fritzsche@gmx.de>
To: 553387-quiet@bugs.debian.org, 553595-quiet@bugs.debian.org, 553603-quiet@bugs.debian.org, 553624-quiet@bugs.debian.org, 553626-quiet@bugs.debian.org, 553630-quiet@bugs.debian.org, 553631-quiet@bugs.debian.org, 553645-quiet@bugs.debian.org, 553647-quiet@bugs.debian.org, 553650-quiet@bugs.debian.org, 553656-quiet@bugs.debian.org, 553677-quiet@bugs.debian.org, 553930-quiet@bugs.debian.org, 553931-quiet@bugs.debian.org, 553932-quiet@bugs.debian.org, 553933-quiet@bugs.debian.org, 553934-quiet@bugs.debian.org, 553935-quiet@bugs.debian.org, 553936-quiet@bugs.debian.org, 553937-quiet@bugs.debian.org, 553938-quiet@bugs.debian.org, 553939-quiet@bugs.debian.org, 553941-quiet@bugs.debian.org, 553946-quiet@bugs.debian.org, 553947-quiet@bugs.debian.org, 553949-quiet@bugs.debian.org, 553950-quiet@bugs.debian.org, 553951-quiet@bugs.debian.org, 553952-quiet@bugs.debian.org, 553953-quiet@bugs.debian.org, 553954-quiet@bugs.debian.org, 553955-quiet@bugs.debian.org, 553956-quiet@bugs.debian.org, 553957-quiet@bugs.debian.org, 553958-quiet@bugs.debian.org, 553959-quiet@bugs.debian.org, 553960-quiet@bugs.debian.org, 553961-quiet@bugs.debian.org, 553962-quiet@bugs.debian.org, 553963-quiet@bugs.debian.org, 553964-quiet@bugs.debian.org, 553965-quiet@bugs.debian.org, 553966-quiet@bugs.debian.org, 553967-quiet@bugs.debian.org, 553968-quiet@bugs.debian.org, 553969-quiet@bugs.debian.org, 553970-quiet@bugs.debian.org, 553971-quiet@bugs.debian.org, 553972-quiet@bugs.debian.org, 553973-quiet@bugs.debian.org
Subject: FTBFS info in wiki
Date: Mon, 2 Nov 2009 16:54:59 +0100
More informations can be found at
 http://wiki.debian.org/qa.debian.org/FTBFS#A2009-11-02Packagesfailingbecausebinutils-go




Bug reassigned from package 'barrage' to 'src:barrage'. Request was from Peter Fritzsche <peter.fritzsche@gmx.de> to control@bugs.debian.org. (Mon, 02 Nov 2009 22:18:59 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions barrage/1.0.2-4. Request was from Peter Fritzsche <peter.fritzsche@gmx.de> to control@bugs.debian.org. (Mon, 02 Nov 2009 22:19:02 GMT) Full text and rfc822 format available.

Bug Marked as found in versions barrage/1.0.2-4. Request was from Peter Fritzsche <peter.fritzsche@gmx.de> to control@bugs.debian.org. (Mon, 02 Nov 2009 23:01:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#553932; Package src:barrage. (Sun, 02 Jan 2011 12:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ilya Barygin <barygin@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sun, 02 Jan 2011 12:33:10 GMT) Full text and rfc822 format available.

Message #23 received at 553932@bugs.debian.org (full text, mbox):

From: Ilya Barygin <barygin@gmail.com>
To: 553932@bugs.debian.org, control@bugs.debian.org
Subject: FTBFS with binutils-gold
Date: Sun, 2 Jan 2011 15:28:44 +0300
tags 553932 patch
thanks

Hello,

Here's the patch we used to fix this in Ubuntu:
https://launchpad.net/ubuntu/+source/barrage/1.0.2-4ubuntu1

only in patch2:
unchanged:
--- barrage-1.0.2.orig/src/Makefile.am
+++ barrage-1.0.2/src/Makefile.am
@@ -14,7 +14,7 @@
 	SFont.c
 
 barrage_LDFLAGS = 
-barrage_LDADD = @audio_lib@
+barrage_LDADD = @audio_lib@ -lm
 
 EXTRA_DIST = \
 	defs.h particle.h shots.h units.h\
only in patch2:
unchanged:
--- barrage-1.0.2.orig/src/Makefile.in
+++ barrage-1.0.2/src/Makefile.in
@@ -82,7 +82,7 @@
 
 
 barrage_LDFLAGS = 
-barrage_LDADD = @audio_lib@
+barrage_LDADD = @audio_lib@ -lm
 
 EXTRA_DIST =  	defs.h particle.h shots.h units.h 	data.h bfield.h menu.h SFont.h chart.h
 




Added tag(s) patch. Request was from Ilya Barygin <barygin@gmail.com> to control@bugs.debian.org. (Sun, 02 Jan 2011 12:33:11 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'minor' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Thu, 24 Feb 2011 13:21:07 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 28 Feb 2011 14:27:12 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Sun, 13 Mar 2011 17:25:40 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Thu, 24 Mar 2011 10:15:03 GMT) Full text and rfc822 format available.

Reply sent to Paul Wise <pabs@debian.org>:
You have taken responsibility. (Thu, 24 Mar 2011 15:45:15 GMT) Full text and rfc822 format available.

Notification sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
Bug acknowledged by developer. (Thu, 24 Mar 2011 15:45:15 GMT) Full text and rfc822 format available.

Message #38 received at 553932-close@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 553932-close@bugs.debian.org
Subject: Bug#553932: fixed in barrage 1.0.3-1
Date: Thu, 24 Mar 2011 15:42:28 +0000
Source: barrage
Source-Version: 1.0.3-1

We believe that the bug you reported is fixed in the latest version of
barrage, which is due to be installed in the Debian FTP archive:

barrage_1.0.3-1.debian.tar.gz
  to main/b/barrage/barrage_1.0.3-1.debian.tar.gz
barrage_1.0.3-1.dsc
  to main/b/barrage/barrage_1.0.3-1.dsc
barrage_1.0.3-1_amd64.deb
  to main/b/barrage/barrage_1.0.3-1_amd64.deb
barrage_1.0.3.orig.tar.gz
  to main/b/barrage/barrage_1.0.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 553932@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Wise <pabs@debian.org> (supplier of updated barrage package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 24 Mar 2011 22:11:56 +0800
Source: barrage
Binary: barrage
Architecture: source amd64
Version: 1.0.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Paul Wise <pabs@debian.org>
Description: 
 barrage    - Rather destructive action game
Closes: 553932
Changes: 
 barrage (1.0.3-1) unstable; urgency=low
 .
   * Team upload.
 .
   [ Gonéri Le Bouder ]
   * new upstream release
   * add a BD on autotools-dev to get fresh config.{sub,guess}
   * bump Standards-Version to 3.9.1, no changes
   * barrage depends on ${misc:Depends} now
 .
   [ Paul Wise ]
   * Switch to dpkg-source v3 quilt
   * Wrap build-deps one per line
   * Drop build-dep on pre-etch binutils
   * Clean up the watch file
   * Fix games team URL in copyright file
   * Wrap the menu file one attribute per line
   * Refresh patches
   * Add patch from Ubuntu to allow building with newer GCC (Closes: #553932)
     - Use dh-autoreconf to rebuild the build system
   * Drop non-useful comments from the manual page
   * Correct month in the manual page
   * Lengthen the short description in the manual page
   * Bump upstream copyright years
   * Switch to upstream's new wording for the game description
   * Forward patches upstream and add DEP-3 headers to them
Checksums-Sha1: 
 b699610133a0bedf773fe40ba3a0c99581c9d243 1371 barrage_1.0.3-1.dsc
 d4e5606c6082a40c335bbe6bdf612d9f60a89b81 482462 barrage_1.0.3.orig.tar.gz
 3b877d0b6a271a2eeaa77a004294bec4ea5deb8f 6896 barrage_1.0.3-1.debian.tar.gz
 9172b5a994727105c546ba4b28e939033e1ed381 374506 barrage_1.0.3-1_amd64.deb
Checksums-Sha256: 
 1889b06174eb5f51561da3f6023e9ca83fc45ae990273ba4abcd431a21390974 1371 barrage_1.0.3-1.dsc
 2f3f8099d8c176f553e74b94ebbdd8579e4e6773b0500a22a8191f89af2c3a42 482462 barrage_1.0.3.orig.tar.gz
 6bb7f1248cdcdb6b28a7e43f9043c6ce46289d4ae14655cfda4c891a814b51c2 6896 barrage_1.0.3-1.debian.tar.gz
 25df659ed647cd65e0fdcd8d5fdd83bb827e95c46abd250afbfaa9cf2249062c 374506 barrage_1.0.3-1_amd64.deb
Files: 
 ad7a5ca4de864c71fb40b7e6090179e0 1371 games optional barrage_1.0.3-1.dsc
 d13385c4911cda0ed72075d1eacf9ea1 482462 games optional barrage_1.0.3.orig.tar.gz
 eb9a749a8f9e6868caf734a1ec642f01 6896 games optional barrage_1.0.3-1.debian.tar.gz
 94caf474f0a8f427bf795c43322d879e 374506 games optional barrage_1.0.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk2LUaoACgkQ5Sc9mGvjxCMeWwCdG3Y92mOc5I5f1AysnjLKse6m
CVwAn3uv8k/1F/qQmlsdoRLuImOim5G4
=si5N
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 08:10:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:00:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.